/* ---------- COLOURS ---------- */

:root {
    --colour-background: #f6f3ef;
    --colour-text: #232323;
    --colour-main: #e94243;
}


/* ---------- BASIC SETUP ---------- */

* {
    box-sizing: border-box;
}

html {
    font-size: 16px;
}

body {
    margin: 0;

    font-family: "source-serif-4", serif;
    font-weight: 300;
    font-style: normal;

    color: var(--colour-text);
    background-color: var(--colour-background);
}

/* ---------- KEEP SITE WIDTH CONSTANT ---------- */

html {
    font-size: 16px;
    scrollbar-gutter: stable;
}

/* ---------- HEADER ---------- */

header {
    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 30px 40px;
}


/* ---------- LOGO ---------- */

.logo img {
    display: block;
    height: 50px;
    width: auto;
}


/* ---------- NAVIGATION ---------- */

nav {
    display: flex;
    gap: 20px;
}

nav a {
    position: relative;

    color: inherit;
    text-decoration: none;
    font-size: 15px;
    font-weight: 300;

    transition: color 0.25s ease;
}

nav a:hover {
    color: var(--colour-main)
}

nav a.active {
    color: var(--colour-main);
}

nav a.active::after {
    width: 100%;
}


/* Animated underline */

nav a::after {
    content: "";

    position: absolute;
    left: 0;
    bottom: -5px;

    width: 0;
    height: 1px;

    background-color: var(--colour-main);

    transition: width 0.45s ease;
}

nav a:hover::after {
    width: 100%;
}


/* ---------- MAIN CONTENT ---------- */

main {
    padding: 80px 40px;
}

h1 {
    font-family: "source-serif-4", serif;
    font-weight: 700;
    font-style: italic;
    margin: 0 0 20px;
    font-size: 30px;
    font-weight: 400;
    color: var(--colour-main)
}

p {
    line-height: 1.5;
}


/* ---------- FOOTER ---------- */

footer {
    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 30px 40px;
    font-size: 12px;
}

.footer-links {
    display: flex;
    gap: 20px;
}

.footer-links a {
    color: inherit;
    text-decoration: none;
}

.footer-links a:hover {
    color: var(--colour-main);
}

/* ---------- MAIN CONTAINER ---------- */

.site-container {
    max-width: 1000px;
    margin: 0 auto;
    padding: 0 40px;
}

/* ---------- IMAGES ---------- */

img {
    user-select: none;
    -webkit-user-drag: none;
}

/* ---------- IMAGES ---------- */

.language-menu {
    position: relative;
    cursor: default;
    font-size: 14px;
    font-weight: 300;
}

.current-language {
    display: block;
}

.language-dropdown {
    position: absolute;
    top: 100%;
    left: 0;

    padding-top: 8px;

    opacity: 0;
    visibility: hidden;
    transition: opacity 0.2s ease;
}

.language-menu:hover .language-dropdown {
    opacity: 1;
    visibility: visible;
}

/* ---------- IMAGE CAROUSEL ---------- */

.image-carousel {
    position: relative;
    width: 100%;
    aspect-ratio: 3 / 2;
    overflow: hidden;
    cursor: pointer;
}

.image-carousel img {
    position: absolute;
    inset: 0;

    width: 100%;
    height: 100%;

    object-fit: cover;

    opacity: 0;
    transition: opacity 0.5s ease;

    user-select: none;
    -webkit-user-drag: none;
}

.image-carousel img.active {
    opacity: 1;
}

.project-caption {
    display: flex;
    justify-content: space-between;
    align-items: center;

    margin-top: 15px;
    font-size: 12px;
}

.image-counter {
    font-variant-numeric: tabular-nums;
}

.project-carousel {
    width: 66.666%;
    margin-bottom: 80px;
}

.project-carousel.left {
    margin-left: 0;
    margin-right: auto;
}

.project-carousel.right {
    margin-left: auto;
    margin-right: 0;
}

.project-carousel.centre {
    margin-left: auto;
    margin-right: auto;
}

/* ---------- MOBILE ---------- */

@media (max-width: 700px) {

    .project-carousel {
        width: 100%;
    }

}